package edu.nyu.sps.programmatic;

import android.content.res.Resources;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.RelativeLayout;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //setContentView(R.layout.activity_main); //written by Android Studio; argument is an int

        RelativeLayout relativeLayout = new RelativeLayout(this);

        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(
                ViewGroup.LayoutParams.MATCH_PARENT,	//width
                ViewGroup.LayoutParams.MATCH_PARENT		//height
        );
        relativeLayout.setLayoutParams(layoutParams);

        Resources resources = getResources();
        relativeLayout.setPadding(
                resources.getDimensionPixelOffset(R.dimen.activity_horizontal_margin), //left
                resources.getDimensionPixelOffset(R.dimen.activity_vertical_margin),   //top
                resources.getDimensionPixelOffset(R.dimen.activity_horizontal_margin), //right
                resources.getDimensionPixelOffset(R.dimen.activity_vertical_margin)    //bottom
        );

        Button button = new Button(this);
        button.setText("Press in case of emergency.");
        button.setAllCaps(false);

        layoutParams = new RelativeLayout.LayoutParams(
                ViewGroup.LayoutParams.WRAP_CONTENT,   //width
                ViewGroup.LayoutParams.WRAP_CONTENT    //height
        );
        layoutParams.addRule(RelativeLayout.CENTER_IN_PARENT);
        button.setLayoutParams(layoutParams);

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Button button = (Button)v;
                button.setText("Thanks for pressing this button.");
                Toast toast = Toast.makeText(MainActivity.this, "Button pressed.", Toast.LENGTH_LONG);
                toast.show();
            }
        });

        relativeLayout.addView(button);
        setContentView(relativeLayout); //argument is a View
    }
}
